<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__udsc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_udsc_config_t</compoundname>
    <includes local="no">cy_ble_uds.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__udsc__config__t_1a004639841de3bb3eb77ffe74e0f4c53a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__udsc__t">cy_stc_ble_udsc_t</ref> *</type>
        <definition>cy_stc_ble_udsc_t* cy_stc_ble_udsc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="159" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="159" />
      </memberdef>
      <memberdef id="structcy__stc__ble__udsc__config__t_1a210674eee7decee23c97a4df6a3a7b71" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_udsc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="162" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="162" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1293">
        <label>cy_stc_ble_udsc_char_t</label>
        <link refid="structcy__stc__ble__udsc__char__t" />
      </node>
      <node id="1291">
        <label>cy_stc_ble_udsc_config_t</label>
        <link refid="structcy__stc__ble__udsc__config__t" />
        <childnode refid="1292" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="1292">
        <label>cy_stc_ble_udsc_t</label>
        <link refid="structcy__stc__ble__udsc__t" />
        <childnode refid="1293" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="164" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="156" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="157" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__udsc__config__t_1a004639841de3bb3eb77ffe74e0f4c53a" virt="non-virtual"><scope>cy_stc_ble_udsc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__udsc__config__t_1a210674eee7decee23c97a4df6a3a7b71" virt="non-virtual"><scope>cy_stc_ble_udsc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>